#include "trace_common.h"

/***********************************************************************/
/* Note that full packets must be formed before being sent to the write*/
/* function, since that is where the lock is.  Otherwise you will get  */
/* the potential for your packet to get split up when printed out.     */
/***********************************************************************/

/***********************************************************************/
int
ret_handler(void)
{
  schedule_timeout_interruptible(10);
  
  return 0;
}

/***********************************************************************/
long
entry_handler(void)
{
  schedule_timeout_interruptible(10);
  jprobe_return();

  /* not reached */
  return 0;
}
