#include "trace_common.h"

struct jprobe jp_sys_mkdir;
struct kretprobe krp_sys_mkdir;
struct jprobe jp_sys_chdir;
struct kretprobe krp_sys_chdir;
struct jprobe jp_sys_fchdir;
struct kretprobe krp_sys_fchdir;
struct jprobe jp_sys_rmdir;
struct kretprobe krp_sys_rmdir;

/***********************************************************************/
asmlinkage long
trace_sys_mkdir(const char __user* pathname,
		int mode)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_mkdir(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_chdir(const char __user* filename)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_chdir(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fchdir(unsigned int fd)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fchdir(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_rmdir(const char __user* pathname)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_rmdir(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
