#include "trace_common.h"

struct jprobe jp_sys_fcntl;
struct kretprobe krp_sys_fcntl;
struct jprobe jp_sys_dup;
struct kretprobe krp_sys_dup;
struct jprobe jp_sys_dup2;
struct kretprobe krp_sys_dup2;
#if BITS_PER_LONG == 32
struct jprobe jp_sys_fcntl64;
struct kretprobe krp_sys_fcntl64;
#endif

/***********************************************************************/
asmlinkage long
trace_sys_fcntl(unsigned int fd,
		unsigned int cmd,
		unsigned long arg)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fcntl(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_dup(unsigned int fildes)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_dup(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_dup2(unsigned int oldfd,
	       unsigned int newfd)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_dup2(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

#if BITS_PER_LONG == 32
/***********************************************************************/
asmlinkage long
trace_sys_fcntl64(unsigned int fd,
		  unsigned int cmd,
		  unsigned long arg)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fcntl64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
#endif
