#include "trace_common.h"

struct jprobe jp_sys_getdents;
struct kretprobe krp_sys_getdents;
struct jprobe jp_sys_getdents64;
struct kretprobe krp_sys_getdents64;

/***********************************************************************/
asmlinkage long
trace_sys_getdents(unsigned int fd,
		   struct linux_dirent __user* dirent,
		   unsigned int count)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_getdents(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_getdents64(unsigned int fd,
		     struct linux_dirent64 __user* dirent,
		     unsigned int count)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_getdents64(struct kretprobe_instance *ri, 
		       struct pt_regs *regs)
{
  return ret_handler();
}
