#include "trace_common.h"

struct jprobe jp_sys_read;
struct kretprobe krp_sys_read;
struct jprobe jp_sys_readahead;
struct kretprobe krp_sys_readahead;
struct jprobe jp_sys_readv;
struct kretprobe krp_sys_readv;
struct jprobe jp_sys_pread64;
struct kretprobe krp_sys_pread64;

/***********************************************************************/
asmlinkage long
trace_sys_read(unsigned int fd,
	       char __user* buf,
	       size_t count)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_read(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_readahead(int fd,
		    loff_t offset,
		    size_t count)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_readahead(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_readv(unsigned long fd,
		const struct iovec __user* vec,
		unsigned long vlen)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_readv(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_pread64(unsigned int fd,
		  char __user* buf,
		  size_t count,
		  loff_t pos)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_pread64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
