#include "trace_common.h"

struct jprobe jp_sys_lseek;
struct kretprobe krp_sys_lseek;
struct jprobe jp_sys_llseek;
struct kretprobe krp_sys_llseek;

/***********************************************************************/
asmlinkage long
trace_sys_lseek(unsigned int fd,
		off_t offset,
		unsigned int origin)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lseek(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_llseek(unsigned int fd,
		 unsigned long offset_high,
		 unsigned long offset_low,
		 loff_t __user* result,
		 unsigned int origin)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_llseek(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
