#include "trace_common.h"

struct jprobe jp_sys_sync;
struct kretprobe krp_sys_sync;
struct jprobe jp_sys_fsync;
struct kretprobe krp_sys_fsync;
struct jprobe jp_sys_fdatasync;
struct kretprobe krp_sys_fdatasync;

/***********************************************************************/
asmlinkage long
trace_sys_sync(void)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_sync(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fsync(unsigned int fd)
{
  return entry_handler();
}


/***********************************************************************/
int 
ret_handler_fsync(struct kretprobe_instance *ri, 
		   struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fdatasync(unsigned int fd)
{
  return entry_handler();
}


/***********************************************************************/
int 
ret_handler_fdatasync(struct kretprobe_instance *ri, 
		   struct pt_regs *regs)
{
  return ret_handler();
}
