#include "trace_common.h"

struct jprobe jp_sys_utime;
struct kretprobe krp_sys_utime;
struct jprobe jp_sys_utimes;
struct kretprobe krp_sys_utimes;

/***********************************************************************/
asmlinkage long
trace_sys_utime(char __user* filename,
		struct utimbuf __user* times)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_utime(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_utimes(char __user* filename,
		 struct utimbuf __user* utimes)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_utimes(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
