#include "trace_common.h"

struct jprobe jp_sys_write;
struct kretprobe krp_sys_write;
struct jprobe jp_sys_writev;
struct kretprobe krp_sys_writev;
struct jprobe jp_sys_pwrite64;
struct kretprobe krp_sys_pwrite64;

/***********************************************************************/
asmlinkage long
trace_sys_write(unsigned int fd,
		const char __user* buf,
		size_t count)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_write(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_writev(unsigned int fd,
		 const struct iovec __user* vec,
		 unsigned long vlen)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_writev(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_pwrite64(unsigned int fd,
		   const char __user* buf,
		   size_t count,
		   loff_t pos)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_pwrite64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
