#include "trace_common.h"

struct jprobe jp_sys_link;
struct kretprobe krp_sys_link;
struct jprobe jp_sys_unlink;
struct kretprobe krp_sys_unlink;
struct jprobe jp_sys_symlink;
struct kretprobe krp_sys_symlink;

/***********************************************************************/
asmlinkage long
trace_sys_link(const char __user* oldname,
	       const char __user* newname)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_link(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_symlink(const char __user* old,
		  const char __user* new)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_symlink(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_unlink(const char __user* pathname)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_unlink(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
