#include "trace_common.h"

struct jprobe jp_sys_mount;
struct kretprobe krp_sys_mount;
struct jprobe jp_sys_umount;
struct kretprobe krp_sys_umount;
struct jprobe jp_sys_oldumount;
struct kretprobe krp_sys_oldumount;

/***********************************************************************/
asmlinkage long
trace_sys_mount(char __user* dev_name, 
		char __user* dir_name,
		char __user* type, 
		unsigned long flags,
		void __user* data)
{
  return entry_handler();
}


/***********************************************************************/
int 
ret_handler_mount(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_umount(char __user* name, int flags)
{
  return entry_handler();
}


/***********************************************************************/
int 
ret_handler_umount(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_oldumount(char __user* name)
{
  return entry_handler();
}


/***********************************************************************/
int 
ret_handler_oldumount(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

